Bug 505490 - Could not access LIRC devices under Fedora 11
Could not access LIRC devices under Fedora 11
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
Depends On: 492558
  Show dependency treegraph
Reported: 2009-06-12 01:20 EDT by tiagoma
Modified: 2009-08-21 17:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-08-21 17:33:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
setroubleshootd warning description (2.97 KB, text/plain)
2009-06-12 01:21 EDT, tiagoma
no flags Details

  None (edit)
Description tiagoma 2009-06-12 01:20:21 EDT
Description of problem:
A failure happens when I try to start the lircd service under Fedora 11. Apparently, some wrong SELinux policy is blocking access to lirc devices under /dev directory. I am using the serial port LIRC driver. The kernel modules apparently load correctly, but any attempt to open the devices (with lircd or using a command such as mode2 to verify the remote control pulses) fails.

Version-Release number of selected component (if applicable):
LIRC is: lirc-0.8.5-2.fc11
SELinux policy is: selinux-policy-3.6.12-39.fc11

How reproducible:

Steps to Reproduce:
1. Assuming that there is a serial port remote receiver connected to the serial port, load modules lirc_dev and lirc_serial:
setserial /dev/ttyS0 uart none
modprobe lirc_dev
modprobe lirc_serial

2. start lircd:
services lirc start
Actual results:
lircd fails to load.
setroubleshoot warning popup message appears (see attached description).

Expected results:
lircd should load normally and decode remote control codes (assuming that file /etc/lircd.conf is correctly configured).

Additional info:
The problem happens with Fedora 11. I did not experience this problem with Fedora 8/9/10 on my machine.
Comment 1 tiagoma 2009-06-12 01:21:40 EDT
Created attachment 347508 [details]
setroubleshootd warning description
Comment 2 Miroslav Grepl 2009-06-12 03:55:24 EDT
Please update your selinux-policy and selinux-policy-targeted packages.
Comment 3 Daniel Walsh 2009-06-12 08:17:20 EDT
According to policy -45 this device should be labeled

matchpathcon /dev/lirc0
/dev/lirc0	system_u:object_r:lirc_device_t:s0

If on your machine this returns device_t then you need to update.

If it returns lirc_device_t then whatever application that created the device created it with the wrong label.

yum -y upgrade selinux-policy-targeted 

should bring in the latest policy.

Note You need to log in before you can comment on or make changes to this bug.